# $Revision: 1.34 $, $Date: 2004/10/31 20:46:45 $
Summary:	A URL extractor/viewer for use with Mutt
Summary(pl):	Program do wycigania/ogldania URL-i dla Mutta
Name:		urlview
Version:	0.9
Release:	7
License:	GPL
Group:		Applications/Networking
Source0:	ftp://ftp.mutt.org/mutt/contrib/%{name}-%{version}.tar.gz
# Source0-md5:	67731f73e69297ffd106b65c8aebb2ab
Patch0:		%{name}-DESTDIR.patch
Patch1:		%{name}-regexp.patch
Patch2:		%{name}-links.patch
Patch3:		%{name}-home_etc.patch
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	ncurses-devel
Requires:	webclient
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
urlview extracts URLs from a given text file, and presents a menu of
URLs to view using a user specified command.

%description -l pl
urlview wyciga URL-e z podanego pliku tekstowego i pokazuje menu
pozwalajce je oglda podanym poleceniem.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
rm -f missing
%{__aclocal}
%{__autoconf}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_mandir}/man1}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install url_handler.sh $RPM_BUILD_ROOT%{_bindir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README sample.urlview urlview.sgml
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man1/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: urlview.spec,v $
Revision 1.34  2004/10/31 20:46:45  adamg
- added home_etc patch

Revision 1.33  2004/09/17 10:35:54  krolik
- links browser patch, rel. 7

Revision 1.32  2004/01/03 10:36:05  gotar
- added regexp patch (fixes URLs terminated with \n),
- switched to ncurses, slang version is useless,
- release 6.

Revision 1.31  2003/11/27 00:05:19  speedy
- release 5

Revision 1.30  2003/08/26 23:19:17  gotar
- no // in paths, sort, white space cleaning

Revision 1.29  2003/05/28 13:02:30  malekith
- massive attack: source-md5

Revision 1.28  2003/05/25 06:27:35  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.27  2003/01/14 15:49:49  radek
- fixed Source0 URL

Revision 1.26  2002/11/29 22:46:58  ankry
- massive attack: new %%doc

Revision 1.25  2002/10/09 13:14:49  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.24  2002/05/21 23:14:52  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.23  2002/03/24 23:28:25  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.22  2002/02/23 05:04:55  kloczek
- adapterized.

Revision 1.21  2002/02/22 23:29:50  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.20  2002/01/18 02:15:16  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.19  2001/12/20 10:42:01  qboosh
- pl translation; release 4

Revision 1.18  2001/11/10 12:54:50  kloczek
- added DESTDIR patch and DESTDIR style %install,
- regenerate ac/am files,
- changed Groutp to Application/Networking,
- added BuildRequires rules.

Revision 1.17  2001/11/10 07:53:51  djrzulf
- corrected log message

Revision 1.16  2001/11/09 23:01:58  yascool
- update to new version
- change of source's URL
- added /etc/urlview.conf

Revision 1.15  2000/11/12 20:11:56  kloczek
- modyfications for using neew rpm automation.

Revision 1.14  2000/06/09 07:55:13  kloczek
- more %%{__make} macros.

Revision 1.13  2000/06/09 07:24:01  kloczek
- added using %%{__make} macro.

Revision 1.12  2000/06/07 04:41:53  kloczek
- spec adapterized.

Revision 1.11  2000/04/01 11:15:50  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.10  2000/03/28 16:55:08  baggins
- translated kloczkish into english

Revision 1.9  1999/07/13 19:45:30  baggins
- FHS 2.0
- gziping docs
- macros

Revision 1.8  1999/07/12 23:06:16  kloczek
- added using CVS keywords in %changelog (for automating them).

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com>
- auto rebuild in the new build environment (release 3)

* Thu Mar 18 1999 Bill Nottingham <notting@redhat.com>
- strip binary
- fix defaults some

* Sat Dec 12 1998 Bill Nottingham <notting@redhat.com>
- initial build
